#!/bin/bash

# La etiqueta del dispositivo USB es portable
puntodemontaje="/media/portable"
# es posible, aunque improbable que tenga otro dispositivo que se llame asi
dispositivo=`mount | grep noexec | grep /media/portable |tail -1| cut -f1 -d' '`
if [ "$dispositivo" != "" ]
then
  zenity --info --text="Se procedrá a activar el permiso de ejecución sobre el dispositivo extraíble"
else
  zenity --warning --text="No se encuentra ningún dispositivo extraíble que disponga de un navegador portable"
fi

pumount $puntodemontaje
sleep 3
pmount -e $dispositivo $puntodemontaje
nautilus $puntodemontaje
